.biolit-button, .biolit-outline-button, .biolit-soft-button {
	--button-padding: 15px 28px 8px;
	font-family: var(--wp--preset--font-family--nimbus-sans);
	font-size: var(--wp--preset--font-size--size-16-2);
}

.biolit-button .wp-block-button__link {
	align-items: center;
	background-color: var(--wp--preset--color--red);
	border: 2px solid var(--wp--preset--color--red);
	border-radius: 999px;
	color: #ffffff;
	display: flex;
	font-weight: 700;
	gap: 10px;
	letter-spacing: 1.2px;
	padding: var(--button-padding);
	text-transform: uppercase;
	white-space: nowrap;
	box-sizing: border-box;
}

.biolit-button .wp-block-button__link.has-text-color {
	color: #ffffff !important;
}

.biolit-button .wp-block-button__link:hover,
.biolit-button .wp-block-button__link:focus {
	background-color: #ffffff !important;
	border-color: var(--wp--preset--color--red);
	color: var(--wp--preset--color--red) !important;
}

.biolit-button .wp-block-button__link.has-text-color:hover,
.biolit-button .wp-block-button__link.has-text-color:focus {
	color: var(--wp--preset--color--red) !important;
}

.biolit-outline-button .wp-block-button__link {
	align-items: center;
	background-color: transparent;
	border: 1px solid rgba(50, 56, 51, 0.5);
	border-radius: 48px;
	color: var(--wp--preset--color--text);
	display: inline-flex;
	font-weight: 700;
	letter-spacing: 1.6px;
	line-height: 1.2;
	padding: var(--button-padding);
	text-decoration: none;
	text-transform: uppercase;
	white-space: nowrap;
	box-sizing: border-box;
}

.biolit-outline-button .wp-block-button__link:hover,
.biolit-outline-button .wp-block-button__link:focus {
	background-color: black;
	color: white;
}

.biolit-soft-button .wp-block-button__link {
	background-color: rgba(255, 255, 255, 0.25);
	border: 1px solid rgba(255, 255, 255, 0.35);
	border-radius: 999px;
	color: #ffffff;
	font-weight: 700;
	letter-spacing: 1px;
	padding: var(--button-padding);
	text-transform: uppercase;
	box-sizing: border-box;
}

.biolit-soft-button .wp-block-button__link:hover,
.biolit-soft-button .wp-block-button__link:focus {
	background-color: #ffffff !important;
	border-color: #ffffff;
	color: #070707 !important;
}

@media (max-width: 1100px) {
	.biolit-button, .biolit-outline-button, .biolit-soft-button {
		--button-padding: 10px 17px 5px;
	}

	.biolit-button .wp-block-button__link {
		letter-spacing: 0.6px;
	}
}
